#3084 closed defect (fixed)

Makefile recipe override warning has returned

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: build Version: 5
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

The makefile overrides recipe warnings had disappeared with Chris' rework to improve parallelism. Unfortunately, one Makefile has had the warning return. To reproduce, complete a build with all tests enabled, then just type make >/dev/null at the top of the build tree

[joel@rtbf64c rtems-work]$ ./build_bsp sparc erc32
Using rtems for RTEMS source

real 5m4.247s
user 5m58.188s
sys 1m34.959s
0
[joel@rtbf64c rtems-work]$ cd b-erc32/
[joel@rtbf64c b-erc32]$ make >/dev/null
Makefile:653: warning: overriding recipe for target `spprofiling01'
Makefile:653: warning: ignoring old recipe for target `spprofiling01'

Change History (3)

comment:1 Changed on Jul 27, 2017 at 11:14:53 PM by Joel Sherrill

Owner: changed from chrisj@… to Chris Johns
Status: newassigned

comment:2 Changed on Oct 12, 2017 at 1:19:16 AM by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In 871c23c/rtems:

Fix spprofiling01 overriding recipe warning

Closes #3084.

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.